source: squid-ssl/trunk/fuentes/lib/smblib/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 37.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = lib/smblib
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
157mkinstalldirs = $(install_sh) -d
158CONFIG_HEADER = $(top_builddir)/include/autoconf.h
159CONFIG_CLEAN_FILES =
160CONFIG_CLEAN_VPATH_FILES =
161LTLIBRARIES = $(noinst_LTLIBRARIES)
162libsmblib_la_LIBADD =
163am_libsmblib_la_OBJECTS = md4.lo smblib.lo smblib-util.lo \
164        smbencrypt.lo smbdes.lo
165libsmblib_la_OBJECTS = $(am_libsmblib_la_OBJECTS)
166AM_V_lt = $(am__v_lt_@AM_V@)
167am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
168am__v_lt_0 = --silent
169am__v_lt_1 =
170AM_V_P = $(am__v_P_@AM_V@)
171am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
172am__v_P_0 = false
173am__v_P_1 = :
174AM_V_GEN = $(am__v_GEN_@AM_V@)
175am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
176am__v_GEN_0 = @echo "  GEN     " $@;
177am__v_GEN_1 =
178AM_V_at = $(am__v_at_@AM_V@)
179am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
180am__v_at_0 = @
181am__v_at_1 =
182DEFAULT_INCLUDES =
183depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
184am__depfiles_maybe = depfiles
185am__mv = mv -f
186COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
187        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
188LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
189        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
190        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
191        $(AM_CFLAGS) $(CFLAGS)
192AM_V_CC = $(am__v_CC_@AM_V@)
193am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
194am__v_CC_0 = @echo "  CC      " $@;
195am__v_CC_1 =
196CCLD = $(CC)
197LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
199        $(AM_LDFLAGS) $(LDFLAGS) -o $@
200AM_V_CCLD = $(am__v_CCLD_@AM_V@)
201am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
202am__v_CCLD_0 = @echo "  CCLD    " $@;
203am__v_CCLD_1 =
204SOURCES = $(libsmblib_la_SOURCES)
205DIST_SOURCES = $(libsmblib_la_SOURCES)
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
212# Read a list of newline-separated strings from the standard input,
213# and print each of them once, without duplicates.  Input order is
214# *not* preserved.
215am__uniquify_input = $(AWK) '\
216  BEGIN { nonempty = 0; } \
217  { items[$$0] = 1; nonempty = 1; } \
218  END { if (nonempty) { for (i in items) print i; }; } \
219'
220# Make sure the list of sources is unique.  This is necessary because,
221# e.g., the same source file might be shared among _SOURCES variables
222# for different programs/libraries.
223am__define_uniq_tagged_files = \
224  list='$(am__tagged_files)'; \
225  unique=`for i in $$list; do \
226    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
227  done | $(am__uniquify_input)`
228ETAGS = etags
229CTAGS = ctags
230am__tty_colors_dummy = \
231  mgn= red= grn= lgn= blu= brg= std=; \
232  am__color_tests=no
233am__tty_colors = { \
234  $(am__tty_colors_dummy); \
235  if test "X$(AM_COLOR_TESTS)" = Xno; then \
236    am__color_tests=no; \
237  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
238    am__color_tests=yes; \
239  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
240    am__color_tests=yes; \
241  fi; \
242  if test $$am__color_tests = yes; then \
243    red='[0;31m'; \
244    grn='[0;32m'; \
245    lgn='[1;32m'; \
246    blu='[1;34m'; \
247    mgn='[0;35m'; \
248    brg='[1m'; \
249    std='[m'; \
250  fi; \
251}
252am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
253am__vpath_adj = case $$p in \
254    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
255    *) f=$$p;; \
256  esac;
257am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
258am__install_max = 40
259am__nobase_strip_setup = \
260  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
261am__nobase_strip = \
262  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
263am__nobase_list = $(am__nobase_strip_setup); \
264  for p in $$list; do echo "$$p $$p"; done | \
265  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
266  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
267    if (++n[$$2] == $(am__install_max)) \
268      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
269    END { for (dir in files) print dir, files[dir] }'
270am__base_list = \
271  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
272  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
273am__uninstall_files_from_dir = { \
274  test -z "$$files" \
275    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
276    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
277         $(am__cd) "$$dir" && rm -f $$files; }; \
278  }
279am__recheck_rx = ^[     ]*:recheck:[    ]*
280am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
281am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
282# A command that, given a newline-separated list of test names on the
283# standard input, print the name of the tests that are to be re-run
284# upon "make recheck".
285am__list_recheck_tests = $(AWK) '{ \
286  recheck = 1; \
287  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
288    { \
289      if (rc < 0) \
290        { \
291          if ((getline line2 < ($$0 ".log")) < 0) \
292            recheck = 0; \
293          break; \
294        } \
295      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
296        { \
297          recheck = 0; \
298          break; \
299        } \
300      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
301        { \
302          break; \
303        } \
304    }; \
305  if (recheck) \
306    print $$0; \
307  close ($$0 ".trs"); \
308  close ($$0 ".log"); \
309}'
310# A command that, given a newline-separated list of test names on the
311# standard input, create the global log from their .trs and .log files.
312am__create_global_log = $(AWK) ' \
313function fatal(msg) \
314{ \
315  print "fatal: making $@: " msg | "cat >&2"; \
316  exit 1; \
317} \
318function rst_section(header) \
319{ \
320  print header; \
321  len = length(header); \
322  for (i = 1; i <= len; i = i + 1) \
323    printf "="; \
324  printf "\n\n"; \
325} \
326{ \
327  copy_in_global_log = 1; \
328  global_test_result = "RUN"; \
329  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
330    { \
331      if (rc < 0) \
332         fatal("failed to read from " $$0 ".trs"); \
333      if (line ~ /$(am__global_test_result_rx)/) \
334        { \
335          sub("$(am__global_test_result_rx)", "", line); \
336          sub("[        ]*$$", "", line); \
337          global_test_result = line; \
338        } \
339      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
340        copy_in_global_log = 0; \
341    }; \
342  if (copy_in_global_log) \
343    { \
344      rst_section(global_test_result ": " $$0); \
345      while ((rc = (getline line < ($$0 ".log"))) != 0) \
346      { \
347        if (rc < 0) \
348          fatal("failed to read from " $$0 ".log"); \
349        print line; \
350      }; \
351      printf "\n"; \
352    }; \
353  close ($$0 ".trs"); \
354  close ($$0 ".log"); \
355}'
356# Restructured Text title.
357am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
358# Solaris 10 'make', and several other traditional 'make' implementations,
359# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
360# by disabling -e (using the XSI extension "set +e") if it's set.
361am__sh_e_setup = case $$- in *e*) set +e;; esac
362# Default flags passed to test drivers.
363am__common_driver_flags = \
364  --color-tests "$$am__color_tests" \
365  --enable-hard-errors "$$am__enable_hard_errors" \
366  --expect-failure "$$am__expect_failure"
367# To be inserted before the command running the test.  Creates the
368# directory for the log if needed.  Stores in $dir the directory
369# containing $f, in $tst the test, in $log the log.  Executes the
370# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
371# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
372# will run the test scripts (or their associated LOG_COMPILER, if
373# thy have one).
374am__check_pre = \
375$(am__sh_e_setup);                                      \
376$(am__vpath_adj_setup) $(am__vpath_adj)                 \
377$(am__tty_colors);                                      \
378srcdir=$(srcdir); export srcdir;                        \
379case "$@" in                                            \
380  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
381    *) am__odir=.;;                                     \
382esac;                                                   \
383test "x$$am__odir" = x"." || test -d "$$am__odir"       \
384  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
385if test -f "./$$f"; then dir=./;                        \
386elif test -f "$$f"; then dir=;                          \
387else dir="$(srcdir)/"; fi;                              \
388tst=$$dir$$f; log='$@';                                 \
389if test -n '$(DISABLE_HARD_ERRORS)'; then               \
390  am__enable_hard_errors=no;                            \
391else                                                    \
392  am__enable_hard_errors=yes;                           \
393fi;                                                     \
394case " $(XFAIL_TESTS) " in                              \
395  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
396    am__expect_failure=yes;;                            \
397  *)                                                    \
398    am__expect_failure=no;;                             \
399esac;                                                   \
400$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
401# A shell command to get the names of the tests scripts with any registered
402# extension removed (i.e., equivalently, the names of the test logs, with
403# the '.log' extension removed).  The result is saved in the shell variable
404# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
405# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
406# since that might cause problem with VPATH rewrites for suffix-less tests.
407# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
408am__set_TESTS_bases = \
409  bases='$(TEST_LOGS)'; \
410  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
411  bases=`echo $$bases`
412RECHECK_LOGS = $(TEST_LOGS)
413AM_RECURSIVE_TARGETS = check recheck
414TEST_SUITE_LOG = test-suite.log
415TEST_EXTENSIONS = @EXEEXT@ .test
416am__test_logs1 = $(TESTS:=.log)
417am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
418TEST_LOGS = $(am__test_logs2:.test.log=.log)
419TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
420TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
421        $(TEST_LOG_FLAGS)
422am__set_b = \
423  case '$@' in \
424    */*) \
425      case '$*' in \
426        */*) b='$*';; \
427          *) b=`echo '$@' | sed 's/\.log$$//'`; \
428       esac;; \
429    *) \
430      b='$*';; \
431  esac
432am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
433        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
434DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
435ACLOCAL = @ACLOCAL@
436ADAPTATION_LIBS = @ADAPTATION_LIBS@
437ALLOCA = @ALLOCA@
438AMTAR = @AMTAR@
439AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
440AR = @AR@
441AR_R = @AR_R@
442AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
443AUTH_MODULES = @AUTH_MODULES@
444AUTOCONF = @AUTOCONF@
445AUTOHEADER = @AUTOHEADER@
446AUTOMAKE = @AUTOMAKE@
447AWK = @AWK@
448BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
449BUILDCXX = @BUILDCXX@
450BUILDCXXFLAGS = @BUILDCXXFLAGS@
451BZR = @BZR@
452CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
453CC = @CC@
454CCDEPMODE = @CCDEPMODE@
455CFLAGS = @CFLAGS@
456CGIEXT = @CGIEXT@
457CHMOD = @CHMOD@
458CPP = @CPP@
459CPPFLAGS = @CPPFLAGS@
460CPPUNITCONFIG = @CPPUNITCONFIG@
461CRYPTLIB = @CRYPTLIB@
462CXX = @CXX@
463CXXCPP = @CXXCPP@
464CXXDEPMODE = @CXXDEPMODE@
465CXXFLAGS = @CXXFLAGS@
466CYGPATH_W = @CYGPATH_W@
467DEFAULT_HOSTS = @DEFAULT_HOSTS@
468DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
469DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
470DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
471DEFS = @DEFS@
472DEPDIR = @DEPDIR@
473DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
474DISK_LIBS = @DISK_LIBS@
475DISK_LINKOBJS = @DISK_LINKOBJS@
476DISK_MODULES = @DISK_MODULES@
477DISK_OS_LIBS = @DISK_OS_LIBS@
478DISK_PROGRAMS = @DISK_PROGRAMS@
479DLLTOOL = @DLLTOOL@
480DSYMUTIL = @DSYMUTIL@
481DUMPBIN = @DUMPBIN@
482ECAP_LIBS = @ECAP_LIBS@
483ECHO_C = @ECHO_C@
484ECHO_N = @ECHO_N@
485ECHO_T = @ECHO_T@
486EGREP = @EGREP@
487EPOLL_LIBS = @EPOLL_LIBS@
488EUILIB = @EUILIB@
489EXEEXT = @EXEEXT@
490EXPATLIB = @EXPATLIB@
491EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
492EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
493EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
494FALSE = @FALSE@
495FGREP = @FGREP@
496GREP = @GREP@
497HAVE_CXX11 = @HAVE_CXX11@
498ICAP_LIBS = @ICAP_LIBS@
499INCLTDL = @INCLTDL@
500INSTALL = @INSTALL@
501INSTALL_DATA = @INSTALL_DATA@
502INSTALL_PROGRAM = @INSTALL_PROGRAM@
503INSTALL_SCRIPT = @INSTALL_SCRIPT@
504INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
505KRB5INCS = @KRB5INCS@
506KRB5LIBS = @KRB5LIBS@
507LBERLIB = @LBERLIB@
508LD = @LD@
509LDAPLIB = @LDAPLIB@
510LDFLAGS = @LDFLAGS@
511LIBADD_DL = @LIBADD_DL@
512LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
513LIBADD_DLOPEN = @LIBADD_DLOPEN@
514LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
515LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
516LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
517LIBLTDL = @LIBLTDL@
518LIBOBJS = @LIBOBJS@
519LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
520LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
521LIBS = @LIBS@
522LIBSASL = @LIBSASL@
523LIBTOOL = @LIBTOOL@
524LIB_DB = @LIB_DB@
525LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
526LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
527LINUXDOC = @LINUXDOC@
528LIPO = @LIPO@
529LN = @LN@
530LN_S = @LN_S@
531LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
532LTDLDEPS = @LTDLDEPS@
533LTDLINCL = @LTDLINCL@
534LTDLOPEN = @LTDLOPEN@
535LTLIBOBJS = @LTLIBOBJS@
536LT_ARGZ_H = @LT_ARGZ_H@
537LT_CONFIG_H = @LT_CONFIG_H@
538LT_DLLOADERS = @LT_DLLOADERS@
539LT_DLPREOPEN = @LT_DLPREOPEN@
540LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
541MAINT = @MAINT@
542MAKEINFO = @MAKEINFO@
543MANIFEST_TOOL = @MANIFEST_TOOL@
544MINGW_LIBS = @MINGW_LIBS@
545MKDIR = @MKDIR@
546MKDIR_P = @MKDIR_P@
547MV = @MV@
548NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
549NETTLELIB = @NETTLELIB@
550NM = @NM@
551NMEDIT = @NMEDIT@
552NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
553OBJDUMP = @OBJDUMP@
554OBJEXT = @OBJEXT@
555OTOOL = @OTOOL@
556OTOOL64 = @OTOOL64@
557PACKAGE = @PACKAGE@
558PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
559PACKAGE_NAME = @PACKAGE_NAME@
560PACKAGE_STRING = @PACKAGE_STRING@
561PACKAGE_TARNAME = @PACKAGE_TARNAME@
562PACKAGE_URL = @PACKAGE_URL@
563PACKAGE_VERSION = @PACKAGE_VERSION@
564PATH_SEPARATOR = @PATH_SEPARATOR@
565PERL = @PERL@
566PKG_CONFIG = @PKG_CONFIG@
567PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
568PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
569PO2HTML = @PO2HTML@
570PO2TEXT = @PO2TEXT@
571POD2MAN = @POD2MAN@
572RANLIB = @RANLIB@
573REGEXLIB = @REGEXLIB@
574REPL_LIBS = @REPL_LIBS@
575REPL_OBJS = @REPL_OBJS@
576REPL_POLICIES = @REPL_POLICIES@
577RM = @RM@
578SED = @SED@
579SET_MAKE = @SET_MAKE@
580SH = @SH@
581SHELL = @SHELL@
582SMBCLIENT = @SMBCLIENT@
583SNMPLIB = @SNMPLIB@
584SQUID_CFLAGS = @SQUID_CFLAGS@
585SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
586SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
587SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
588SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
589SSLLIB = @SSLLIB@
590STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
591STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
592STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
593STORE_TESTS = @STORE_TESTS@
594STRIP = @STRIP@
595TR = @TR@
596TRUE = @TRUE@
597URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
598VERSION = @VERSION@
599WBINFO = @WBINFO@
600WIN32_PSAPI = @WIN32_PSAPI@
601XMLLIB = @XMLLIB@
602XTRA_LIBS = @XTRA_LIBS@
603XTRA_OBJS = @XTRA_OBJS@
604abs_builddir = @abs_builddir@
605abs_srcdir = @abs_srcdir@
606abs_top_builddir = @abs_top_builddir@
607abs_top_srcdir = @abs_top_srcdir@
608ac_ct_AR = @ac_ct_AR@
609ac_ct_CC = @ac_ct_CC@
610ac_ct_CXX = @ac_ct_CXX@
611ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
612am__include = @am__include@
613am__leading_dot = @am__leading_dot@
614am__quote = @am__quote@
615am__tar = @am__tar@
616am__untar = @am__untar@
617bindir = @bindir@
618build = @build@
619build_alias = @build_alias@
620build_cpu = @build_cpu@
621build_os = @build_os@
622build_vendor = @build_vendor@
623builddir = @builddir@
624datadir = @datadir@
625datarootdir = @datarootdir@
626docdir = @docdir@
627dvidir = @dvidir@
628exec_prefix = @exec_prefix@
629host = @host@
630host_alias = @host_alias@
631host_cpu = @host_cpu@
632host_os = @host_os@
633host_vendor = @host_vendor@
634htmldir = @htmldir@
635includedir = @includedir@
636infodir = @infodir@
637install_sh = @install_sh@
638krb5_config = @krb5_config@
639libdir = @libdir@
640libexecdir = @libexecdir@
641localedir = @localedir@
642localstatedir = @localstatedir@
643ltdl_LIBOBJS = @ltdl_LIBOBJS@
644ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
645mandir = @mandir@
646mkdir_p = @mkdir_p@
647oldincludedir = @oldincludedir@
648pdfdir = @pdfdir@
649prefix = @prefix@
650program_transform_name = @program_transform_name@
651psdir = @psdir@
652runstatedir = @runstatedir@
653sbindir = @sbindir@
654sharedstatedir = @sharedstatedir@
655srcdir = @srcdir@
656subdirs = @subdirs@
657sys_symbol_underscore = @sys_symbol_underscore@
658sysconfdir = @sysconfdir@
659target_alias = @target_alias@
660top_build_prefix = @top_build_prefix@
661top_builddir = @top_builddir@
662top_srcdir = @top_srcdir@
663AM_CFLAGS = $(SQUID_CFLAGS)
664AM_CXXFLAGS = $(SQUID_CXXFLAGS)
665CLEANFILES =
666AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
667        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
668        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
669        $(am__append_1) -I$(top_srcdir)/lib
670@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
671@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
672COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
673subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
674noinst_LTLIBRARIES = libsmblib.la
675libsmblib_la_SOURCES = \
676        md4.c \
677        md4.h \
678        smblib.c \
679        smblib.h \
680        smblib-common.h \
681        smblib-priv.h \
682        smblib-util.c \
683        smbencrypt.c \
684        smbencrypt.h \
685        smbdes.c \
686        smbdes.h \
687        std-defines.h
688
689all: all-am
690
691.SUFFIXES:
692.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
693$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
694        @for dep in $?; do \
695          case '$(am__configure_deps)' in \
696            *$$dep*) \
697              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
698                && { if test -f $@; then exit 0; else break; fi; }; \
699              exit 1;; \
700          esac; \
701        done; \
702        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/smblib/Makefile'; \
703        $(am__cd) $(top_srcdir) && \
704          $(AUTOMAKE) --gnu lib/smblib/Makefile
705Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
706        @case '$?' in \
707          *config.status*) \
708            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
709          *) \
710            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
711            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
712        esac;
713$(top_srcdir)/src/Common.am $(am__empty):
714
715$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
716        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717
718$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
719        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
720$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
721        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
722$(am__aclocal_m4_deps):
723
724clean-noinstLTLIBRARIES:
725        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
726        @list='$(noinst_LTLIBRARIES)'; \
727        locs=`for p in $$list; do echo $$p; done | \
728              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
729              sort -u`; \
730        test -z "$$locs" || { \
731          echo rm -f $${locs}; \
732          rm -f $${locs}; \
733        }
734
735libsmblib.la: $(libsmblib_la_OBJECTS) $(libsmblib_la_DEPENDENCIES) $(EXTRA_libsmblib_la_DEPENDENCIES)
736        $(AM_V_CCLD)$(LINK)  $(libsmblib_la_OBJECTS) $(libsmblib_la_LIBADD) $(LIBS)
737
738clean-checkPROGRAMS:
739        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
740        echo " rm -f" $$list; \
741        rm -f $$list || exit $$?; \
742        test -n "$(EXEEXT)" || exit 0; \
743        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
744        echo " rm -f" $$list; \
745        rm -f $$list
746
747mostlyclean-compile:
748        -rm -f *.$(OBJEXT)
749
750distclean-compile:
751        -rm -f *.tab.c
752
753@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md4.Plo@am__quote@
754@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smbdes.Plo@am__quote@
755@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smbencrypt.Plo@am__quote@
756@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smblib-util.Plo@am__quote@
757@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smblib.Plo@am__quote@
758
759.c.o:
760@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
761@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
762@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
763@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
764@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
765@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
766
767.c.obj:
768@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
769@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
770@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
771@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
772@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
774
775.c.lo:
776@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
777@am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
778@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
779@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
780@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
782
783mostlyclean-libtool:
784        -rm -f *.lo
785
786clean-libtool:
787        -rm -rf .libs _libs
788
789ID: $(am__tagged_files)
790        $(am__define_uniq_tagged_files); mkid -fID $$unique
791tags: tags-am
792TAGS: tags
793
794tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
795        set x; \
796        here=`pwd`; \
797        $(am__define_uniq_tagged_files); \
798        shift; \
799        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
800          test -n "$$unique" || unique=$$empty_fix; \
801          if test $$# -gt 0; then \
802            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
803              "$$@" $$unique; \
804          else \
805            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
806              $$unique; \
807          fi; \
808        fi
809ctags: ctags-am
810
811CTAGS: ctags
812ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
813        $(am__define_uniq_tagged_files); \
814        test -z "$(CTAGS_ARGS)$$unique" \
815          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
816             $$unique
817
818GTAGS:
819        here=`$(am__cd) $(top_builddir) && pwd` \
820          && $(am__cd) $(top_srcdir) \
821          && gtags -i $(GTAGS_ARGS) "$$here"
822cscopelist: cscopelist-am
823
824cscopelist-am: $(am__tagged_files)
825        list='$(am__tagged_files)'; \
826        case "$(srcdir)" in \
827          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
828          *) sdir=$(subdir)/$(srcdir) ;; \
829        esac; \
830        for i in $$list; do \
831          if test -f "$$i"; then \
832            echo "$(subdir)/$$i"; \
833          else \
834            echo "$$sdir/$$i"; \
835          fi; \
836        done >> $(top_builddir)/cscope.files
837
838distclean-tags:
839        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
840
841# Recover from deleted '.trs' file; this should ensure that
842# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
843# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
844# to avoid problems with "make -n".
845.log.trs:
846        rm -f $< $@
847        $(MAKE) $(AM_MAKEFLAGS) $<
848
849# Leading 'am--fnord' is there to ensure the list of targets does not
850# expand to empty, as could happen e.g. with make check TESTS=''.
851am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
852am--force-recheck:
853        @:
854
855$(TEST_SUITE_LOG): $(TEST_LOGS)
856        @$(am__set_TESTS_bases); \
857        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
858        redo_bases=`for i in $$bases; do \
859                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
860                    done`; \
861        if test -n "$$redo_bases"; then \
862          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
863          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
864          if $(am__make_dryrun); then :; else \
865            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
866          fi; \
867        fi; \
868        if test -n "$$am__remaking_logs"; then \
869          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
870               "recursion detected" >&2; \
871        elif test -n "$$redo_logs"; then \
872          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
873        fi; \
874        if $(am__make_dryrun); then :; else \
875          st=0;  \
876          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
877          for i in $$redo_bases; do \
878            test -f $$i.trs && test -r $$i.trs \
879              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
880            test -f $$i.log && test -r $$i.log \
881              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
882          done; \
883          test $$st -eq 0 || exit 1; \
884        fi
885        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
886        ws='[   ]'; \
887        results=`for b in $$bases; do echo $$b.trs; done`; \
888        test -n "$$results" || results=/dev/null; \
889        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
890        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
891        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
892        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
893        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
894        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
895        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
896        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
897          success=true; \
898        else \
899          success=false; \
900        fi; \
901        br='==================='; br=$$br$$br$$br$$br; \
902        result_count () \
903        { \
904            if test x"$$1" = x"--maybe-color"; then \
905              maybe_colorize=yes; \
906            elif test x"$$1" = x"--no-color"; then \
907              maybe_colorize=no; \
908            else \
909              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
910            fi; \
911            shift; \
912            desc=$$1 count=$$2; \
913            if test $$maybe_colorize = yes && test $$count -gt 0; then \
914              color_start=$$3 color_end=$$std; \
915            else \
916              color_start= color_end=; \
917            fi; \
918            echo "$${color_start}# $$desc $$count$${color_end}"; \
919        }; \
920        create_testsuite_report () \
921        { \
922          result_count $$1 "TOTAL:" $$all   "$$brg"; \
923          result_count $$1 "PASS: " $$pass  "$$grn"; \
924          result_count $$1 "SKIP: " $$skip  "$$blu"; \
925          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
926          result_count $$1 "FAIL: " $$fail  "$$red"; \
927          result_count $$1 "XPASS:" $$xpass "$$red"; \
928          result_count $$1 "ERROR:" $$error "$$mgn"; \
929        }; \
930        {                                                               \
931          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
932            $(am__rst_title);                                           \
933          create_testsuite_report --no-color;                           \
934          echo;                                                         \
935          echo ".. contents:: :depth: 2";                               \
936          echo;                                                         \
937          for b in $$bases; do echo $$b; done                           \
938            | $(am__create_global_log);                                 \
939        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
940        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
941        if $$success; then                                              \
942          col="$$grn";                                                  \
943         else                                                           \
944          col="$$red";                                                  \
945          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
946        fi;                                                             \
947        echo "$${col}$$br$${std}";                                      \
948        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
949        echo "$${col}$$br$${std}";                                      \
950        create_testsuite_report --maybe-color;                          \
951        echo "$$col$$br$$std";                                          \
952        if $$success; then :; else                                      \
953          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
954          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
955            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
956          fi;                                                           \
957          echo "$$col$$br$$std";                                        \
958        fi;                                                             \
959        $$success || exit 1
960
961check-TESTS:
962        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
963        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
964        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
965        @set +e; $(am__set_TESTS_bases); \
966        log_list=`for i in $$bases; do echo $$i.log; done`; \
967        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
968        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
969        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
970        exit $$?;
971recheck: all $(check_PROGRAMS)
972        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
973        @set +e; $(am__set_TESTS_bases); \
974        bases=`for i in $$bases; do echo $$i; done \
975                 | $(am__list_recheck_tests)` || exit 1; \
976        log_list=`for i in $$bases; do echo $$i.log; done`; \
977        log_list=`echo $$log_list`; \
978        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
979                am__force_recheck=am--force-recheck \
980                TEST_LOGS="$$log_list"; \
981        exit $$?
982.test.log:
983        @p='$<'; \
984        $(am__set_b); \
985        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
986        --log-file $$b.log --trs-file $$b.trs \
987        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
988        "$$tst" $(AM_TESTS_FD_REDIRECT)
989@am__EXEEXT_TRUE@.test$(EXEEXT).log:
990@am__EXEEXT_TRUE@       @p='$<'; \
991@am__EXEEXT_TRUE@       $(am__set_b); \
992@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
993@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
994@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
995@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
996
997distdir: $(DISTFILES)
998        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
999        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1000        list='$(DISTFILES)'; \
1001          dist_files=`for file in $$list; do echo $$file; done | \
1002          sed -e "s|^$$srcdirstrip/||;t" \
1003              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1004        case $$dist_files in \
1005          */*) $(MKDIR_P) `echo "$$dist_files" | \
1006                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1007                           sort -u` ;; \
1008        esac; \
1009        for file in $$dist_files; do \
1010          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1011          if test -d $$d/$$file; then \
1012            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1013            if test -d "$(distdir)/$$file"; then \
1014              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1015            fi; \
1016            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1017              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1018              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1019            fi; \
1020            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1021          else \
1022            test -f "$(distdir)/$$file" \
1023            || cp -p $$d/$$file "$(distdir)/$$file" \
1024            || exit 1; \
1025          fi; \
1026        done
1027check-am: all-am
1028        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1029        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1030check: check-am
1031all-am: Makefile $(LTLIBRARIES)
1032installdirs:
1033install: install-am
1034install-exec: install-exec-am
1035install-data: install-data-am
1036uninstall: uninstall-am
1037
1038install-am: all-am
1039        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1040
1041installcheck: installcheck-am
1042install-strip:
1043        if test -z '$(STRIP)'; then \
1044          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1045            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1046              install; \
1047        else \
1048          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1049            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1050            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1051        fi
1052mostlyclean-generic:
1053        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1054        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1055        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1056
1057clean-generic:
1058        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1059
1060distclean-generic:
1061        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1062        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1063
1064maintainer-clean-generic:
1065        @echo "This command is intended for maintainers to use"
1066        @echo "it deletes files that may require special tools to rebuild."
1067clean: clean-am
1068
1069clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1070        clean-noinstLTLIBRARIES mostlyclean-am
1071
1072distclean: distclean-am
1073        -rm -rf ./$(DEPDIR)
1074        -rm -f Makefile
1075distclean-am: clean-am distclean-compile distclean-generic \
1076        distclean-tags
1077
1078dvi: dvi-am
1079
1080dvi-am:
1081
1082html: html-am
1083
1084html-am:
1085
1086info: info-am
1087
1088info-am:
1089
1090install-data-am:
1091
1092install-dvi: install-dvi-am
1093
1094install-dvi-am:
1095
1096install-exec-am:
1097
1098install-html: install-html-am
1099
1100install-html-am:
1101
1102install-info: install-info-am
1103
1104install-info-am:
1105
1106install-man:
1107
1108install-pdf: install-pdf-am
1109
1110install-pdf-am:
1111
1112install-ps: install-ps-am
1113
1114install-ps-am:
1115
1116installcheck-am:
1117
1118maintainer-clean: maintainer-clean-am
1119        -rm -rf ./$(DEPDIR)
1120        -rm -f Makefile
1121maintainer-clean-am: distclean-am maintainer-clean-generic
1122
1123mostlyclean: mostlyclean-am
1124
1125mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1126        mostlyclean-libtool
1127
1128pdf: pdf-am
1129
1130pdf-am:
1131
1132ps: ps-am
1133
1134ps-am:
1135
1136uninstall-am:
1137
1138.MAKE: check-am install-am install-strip
1139
1140.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1141        clean-checkPROGRAMS clean-generic clean-libtool \
1142        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1143        distclean-compile distclean-generic distclean-libtool \
1144        distclean-tags distdir dvi dvi-am html html-am info info-am \
1145        install install-am install-data install-data-am install-dvi \
1146        install-dvi-am install-exec install-exec-am install-html \
1147        install-html-am install-info install-info-am install-man \
1148        install-pdf install-pdf-am install-ps install-ps-am \
1149        install-strip installcheck installcheck-am installdirs \
1150        maintainer-clean maintainer-clean-generic mostlyclean \
1151        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1152        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1153        uninstall-am
1154
1155.PRECIOUS: Makefile
1156
1157
1158$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1159
1160# Tell versions [3.59,3.63) of GNU make to not export all variables.
1161# Otherwise a system limit (for SysV at least) may be exceeded.
1162.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.